/*
#				Game.h

#				Copyright (C) 2004-2006 Harald Obermaier
#
# This file is part of Orbit-Hopper.
#
#   Orbit-Hopper is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   Orbit-Hopper is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with Orbit-Hopper; if not, write to the Free Software
#   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#
*/
#ifndef _GAME_H_
#define _GAME_H_

#ifdef WIN32
#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#endif

#include <SDL.h>
#include <gl.h>	
#include <glu.h>

#include "Gamestate.h"

//gamestates
#define GS_MENU 		0
#define GS_OPTIONS 		1
#define GS_MAPSEL		2
#define GS_LEVELED 		3
#define GS_LEVELEND		4
#define GS_TIMEATTACK	5
#define GS_CONSOLE		6
#define GS_MODESELM		7
#define GS_CASTLEM		8
#define GS_CAEND		9
#define GS_RACEM		10
#define GS_RACEEND		11
#define GS_SINGLESEL 	12
#define GS_SINGLE 		13
#define GS_SINGLECSEL	14

//keys
#define FORWARD1	0
#define BACKWARD1	1
#define RIGHT1		2
#define LEFT1		3
#define JUMP1		4
#define RESET1		5
#define USE1		6

//speeds
#define MAX_FSPEED	450
#define MAX_BSPEED	100
#define MAX_SSPEED	180

//types of collision
#define OFF			0
#define ON			1
#define LEFT_ON		2
#define RIGHT_ON	3
#define CRASH		4
#define SKIP		-1
#define ABOVE		-2


#define NUM_TEXTURES 38


void SwitchGamestate(int new_state);

#endif
